Skip to main content
GET
/
projects
/
{projectId}
/
hosts
/
{hostId}
Get a host
curl --request GET \
  --url https://app.mcpjam.com/api/v1/projects/{projectId}/hosts/{hostId} \
  --header 'Authorization: Bearer <token>'
import requests

url = "https://app.mcpjam.com/api/v1/projects/{projectId}/hosts/{hostId}"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

fetch('https://app.mcpjam.com/api/v1/projects/{projectId}/hosts/{hostId}', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));


{ "id": "<string>", "name": "<string>", "config": {} }

Authorizations

Authorization
string
header
required

MCPJam API key (sk_…). Create one at Settings → API keys. Guest sessions cannot use the API, and API keys cannot manage other API keys.

Path Parameters

projectId
string
required

ID of the hosted project that contains the server.

hostId
string
required

Host ID, as returned by the project's host list.

Response

The host settings.

A host plus its resolved host config (model, capabilities, host context, MCP profile).

id
string
required
name
string
required
config
object
required

Host config v2 DTO. Opaque object; shape mirrors the inspector's host editor.